MC = {};
_G.MC = MC;

mCardBookVariables = {};
MC.DefaultConfig = {
};

MC.ui = {};
MC.events = {};
MC.tools = {};
MC.utils = {};
MC.ShortName = 'MC';
MC.Name = 'Myaff Card Book';
MC.Version = '0.0.1a';
MC.cc = "|cffFCFC7D"; -- Chat Color
MC.MessageFormat = "|cffFFFFFF[|cff00dd00" .. MC.ShortName .. "|cffFFFFFF]: " .. MC.cc .. "%s|r";
MC.Vars = {
	["NumCategories"] = 15,
	["Owned"] = 0,
	["Selected"] = "",
	["Races"] = {},
	["SelectedRace"] = -1,
	["SelectedRaceMenuItem"] = 1,
	["SelectedStat"] = "",
	["SelectedStatMenuItem"] = 1,
};
MC.CardList = {};
MC.Percent = {
	[0] = "|cffFF0000%s|r",
	[1] = "|cffFF3300%s|r",
	[2] = "|cffFF6600%s|r",
	[3] = "|cffFF9900%s|r",
	[4] = "|cffFFCC00%s|r",
	[5] = "|cffFFFF00%s|r",
	[6] = "|cffCCFF00%s|r",
	[7] = "|cff99FF00%s|r",
	[8] = "|cff66FF00%s|r",
	[9] = "|cff33FF00%s|r",
	[10] = "|cff00FF00%s|r",
};
MC.Qualities = {
	[0] = "|cff" .. "777777" .. "%s" .. "|r",
	[2] = "|cff" .. "0072BC" .. "%s" .. "|r",
	[3] = "|cff" .. "C805F8" .. "%s" .. "|r",
	[4] = "|cff" .. "F68E56" .. "%s" .. "|r",
	[5] = "|cff" .. "A37D50" .. "%s" .. "|r",
};
MC.ClassColor = {
	["WARRIOR"] = {0.9, 0, 0, "Воин"},        -- warrior
	["RANGER"] = {0.45, 0.64, 0.01, "Скаут"},  -- scout
	["THIEF"] = {0, 0.64, 0.57, "Разбойник"},      -- rogue
	["MAGE"] = {1, 0.5, 0, "Маг"},           -- mage
	["AUGUR"] = {0.16, 0.55, 0.93, "Священник"},   -- priest
	["KNIGHT"] = {1, 0.9, 0, "Рыцарь"},         -- knight
	["DRUID"] = {0, 0.49, 0, "Друид"},         -- druid
	["WARDEN"] = {0.65, 0.42, 0.13, "Хранитель"},  -- warden
	["PSYRON"] = { 0, 0, 0, "Чампион" },
	["HARPSYN"] = { 0, 0, 0, "Колдун" },
	["DUELIST"] = { 0, 0, 0, "Дуэлист" },
	["GM"] = {0.93, 0.39, 0.70, "GM"},      -- GM's are pink ;)
	["UNKNOWN"] = {0.5, 0.5, 0.5, "Неизвестно"},		-- uknown is gray
};
MC.Mobs = {};
MC.StatLabels = {
	[1] = "Сила",
	[2] = "Ловкость",
	[3] = "Выносливость",
	[4] = "Интеллект",
	[5] = "Мудрость",
	[6] = "Физическая атака",
	[7] = "Магическая атака",
	[8] = "Защита",
	[9] = "Магическая защита",
};
MC.Stats = {};

function MC.Message( text )
	text = tostring( text );
	for n=1,10 do
		_G["ChatFrame"..n]:AddMessage( string.format( MC.MessageFormat, text ) );
	end;
	if( MUIChatFrame ~= nil )then
		MUIChatFrameChat1:AddMessage( string.format( MC.MessageFormat, text ) );
	end;
end;

function MC.OnLoad(this)
	this:RegisterEvent("VARIABLES_LOADED");
	this:RegisterEvent("SAVE_VARIABLES");
	this:RegisterEvent("CARDBOOKFRAME_UPDATE");
	this:RegisterEvent("UPDATE_MOUSEOVER_UNIT");
end;
